/*
' DotNetNuke - http:'www.dotnetnuke.com
' Copyright (c) 2002-2007
' by DotNetNuke Corporation
'
' Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated 
' documentation files (the "Software"), to deal in the Software without restriction, including without limitation 
' the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and 
' to permit persons to whom the Software is furnished to do so, subject to the following conditions:
'
' The above copyright notice and this permission notice shall be included in all copies or substantial portions 
' of the Software.
'
' THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED 
' TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL 
' THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF 
' CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER 
' DEALINGS IN THE SOFTWARE.
 */

using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using DotNetNuke.Services.Authentication;
using DotNetNuke.Common.Utilities;
using DotNetNuke.Common;
using DotNetNuke.Security.Membership;
using DotNetNuke.Entities.Users;
using DotNetNuke.Services.Exceptions;
using System.Collections.Generic;
using System.Collections.Specialized;
using DotNetNuke.Services.Localization;

namespace DotNetNuke.Authentication.LiveID
{
    public partial class Logoff : AuthenticationLogoffBase
    {

        private string appID;

        #region Public Properties

        /// <summary>
        /// AppID is the LiveID Apllication ID for this Portal
        /// </summary>
        public string AppID
        {
            get { return appID; }
            set { appID = value; }
        }

        #endregion

        protected override void OnInit(EventArgs e)
        {
            cmdLogoff.Click += new EventHandler(cmdLogoff_Click);
            base.OnInit(e);
        }

        protected void cmdLogoff_Click(object sender, EventArgs e)
        {
            //Log off DNN
            OnLogOff(EventArgs.Empty);

            if (chkLiveID.Checked)
            {
                //Initialize Windows Live Login
                WindowsLiveLogin wll = new WindowsLiveLogin(PortalId);
                //logoff Windows Live
                Response.Redirect(wll.GetLogoutUrl());
            }
            else
                //Redirect
                OnRedirect(EventArgs.Empty);
        }
    }
}